# $Revision: 1.13 $, $Date: 2011/02/22 18:07:44 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	C3
Summary:	Class::C3 - A pragma to use the C3 method resolution order algorithm
Summary(pl.UTF-8):	Class::C3 - pragma do używania algorytmu C3 kolejności rozwiązywania metod
Name:		perl-Class-C3
Version:	0.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/FLORA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5b997841af85a5f8ed8add7120d56611
URL:		http://search.cpan.org/dist/Class-C3/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Algorithm-C3 >= 0.06
BuildRequires:	perl-Scalar-List-Utils >= 1.10
BuildRequires:	perl-Sub-Name
BuildRequires:	perl-Test-Exception >= 0.15
BuildRequires:	perl-Test-Simple >= 0.47
%endif
Suggests:	perl-Class-C3-XS >= 0.07
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is currently an experimental pragma to change Perl 5's standard
method resolution order from depth-first left-to-right (a.k.a -
pre-order) to the more sophisticated C3 method resolution order.

C3 is the name of an algorithm which aims to provide a sane method
resolution order under multiple inheritance. It was first introduced
in the Dylan language (see links in the manual SEE ALSO section), and
then later adopted as the preferred MRO (Method Resolution Order) for
the new-style classes in Python 2.3. Most recently it has been adopted
as the 'canonical' MRO for Perl 6 classes, and the default MRO for
Parrot objects as well.

%description -l pl.UTF-8
Jest to aktualnie eksperymentalna pragma do zmiany standardowej
kolejności rozwiązywania metod w Perlu 5 z pierwszej co do głębokości,
od lewej do prawej (czyli pre-order) na bardziej przemyślaną kolejność
rozwiązywania metod C3.

C3 to nazwa algorytmu, którego celem jest dostarczenie rozsądnej
kolejności rozwiązywania metod przy wielokrotnym dziedziczeniu. Po raz
pierwszy został wprowadzony w języku Dylan (odnośniki w sekcji SEE
ALSO manuala), a następnie zaadoptowany jako preferowana MRO (Method
Resolution Order - kolejność rozwiązywania metod) dla nowego stylu
klas w Pythonie 2.3. Ostatnio został zaadoptowany jako "kanoniczna"
MRO dla klas Perla 6 i domyślna MRO dla obiektów Parrota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorlib}/Class/C3.pm
%{perl_vendorlib}/Class/C3
%{_mandir}/man3/Class::C3*.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-C3.spec,v $
Revision 1.13  2011/02/22 18:07:44  qboosh
- updated to 0.23

Revision 1.12  2009/06/16 12:33:16  amateja
- updated to 0.21

Revision 1.11  2009/03/01 20:45:36  radek
- version 0.20

Revision 1.10  2008/03/14 21:53:45  qboosh
- generic URL

Revision 1.9  2007-09-09 12:24:23  radek
- Suggests: perl-Class-C3-XS

Revision 1.8  2007/09/09 11:38:35  radek
- release 2: add forgotten directory, kill useless README

Revision 1.7  2007/09/09 11:35:20  radek
- version 0.19, killed Makefile.PL (interactive)

Revision 1.6  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2007/02/09 23:35:43  radek
- version 0.14, BR: perl-Sub-Name for tests

Revision 1.3  2006/08/12 16:53:58  migo
- up to 0.12

Revision 1.2  2006/04/15 13:29:09  qboosh
- pl

Revision 1.1  2006/04/08 16:21:30  migo
- initial revision
